# Google Data APIs Client Library (1.43.0)

## com.google.api.gbase.client
Class Group

    java.lang.Object
      com.google.api.gbase.client.Group

    public class Group

extends java.lang.Object

Group type holds multiple sub-attributes. Sub-attributes can be any type except GROUP and its derived types (e.g. TAX and SHIPPING).

Constructor Summary
`Group(java.util.Collection<GoogleBaseAttribute> subAttributes)`

Method Summary
`com.google.common.collect.Multimap<java.lang.String,GoogleBaseAttribute>` `getAllSubAttributes()` Gets all sub-attributes of the group.
`GoogleBaseAttribute` `getSubAttribute(java.lang.String name)` Gets one sub-attribute with the name name, if there are any.
`java.util.Collection<? extends GoogleBaseAttribute>` `getSubAttributes(java.lang.String name)` Gets all sub-attributes corresponding to the name.
`int` `subAttributesSize()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Group

    public Group(java.util.Collection<GoogleBaseAttribute> subAttributes)

Method Detail

### getSubAttribute

    public GoogleBaseAttribute getSubAttribute(java.lang.String name)

  Gets one sub-attribute with the name name, if there are any.

  Parameters:
    `name` -
  Returns:
    one of the sub-attributes with the specified name.

### getSubAttributes

    public java.util.Collection<? extends GoogleBaseAttribute> getSubAttributes(java.lang.String name)

  Gets all sub-attributes corresponding to the name.

  Parameters:
    `name` - name
  Returns:
    A collection of GoogleBaseAttribute corresponds to the name

### getAllSubAttributes

    public com.google.common.collect.Multimap<java.lang.String,GoogleBaseAttribute> getAllSubAttributes()

  Gets all sub-attributes of the group.

### subAttributesSize

    public int subAttributesSize()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`